/* Gerais */
*{
    /* Setar para zero expaço na margem e usar fonte importada */
    padding: 0;
    margin: 0;
    font-family: "Ubuntu",sans-serif;
}

body{
    background: linear-gradient(180deg,#594cee 0%,#8dd0f5 100%);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    transition: background-image 0.5s ease-in-out;
}

/* Esconder algumas áreas quando necessário */ 
.hide{ 
    display: none;
}

.container {
    background-color: #5c54ed;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    padding: 2rem;
    color:#fdfdfd;
    border-radius: 1rem;
}

/* Form */
.form h3{
    margin-bottom: 1rem;
}
.form-input-container{
    display:flex;
}
.form input{
    padding: .8rem;
    border: none;
    flex: 1;
    border-radius: 4px;
}

.form  button{
    padding: .8rem;
    min-width: 50px;
    margin-left: 8px;
    background-color: #8dd0f5;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

/* Clima */
#weather-data,
#error-message,
#loader{
    border-top: 1px solid #fff;
    margin-top: 1.5rem;
    padding-top: 1.5rem;
    text-align: center;
}

#weather-data h2 i{
    font-size: 1rem;
}

#weather-data span{
    margin: 0.6rem;
}

#description-container{
    display:flex;
    justify-content: center;
    align-items: center;
    margin: 0.6rem 0;
}

#description{
    font-weight: bold;
    text-transform: capitalize;
}

#details-container{
    display: flex;
    justify-content: center;
    align-items: center;
}

#details-container #umidity{
    border-right: 1px solid #fff;
    margin: 0.6rem;
    padding: 0.6rem;
}

